accessibility: Open access
additionDate: '2017-01-13T13:13:50Z'
biotoolsCURIE: biotools:blast
biotoolsID: blast
collectionID:
- BLAST
confidence_flag: null
cost: Free of charge
credit:
- email: blast-help@ncbi.nlm.nih.gov
  fundrefid: null
  gridid: null
  name: BLAST Support
  note: null
  orcidid: null
  rorid: null
  typeEntity: Person
  typeRole:
  - Primary contact
  url: null
description: A tool that finds regions of similarity between biological sequences.
  The program compares nucleotide or protein sequences to sequence databases and calculates
  the statistical significance.
documentation:
- note: null
  type:
  - General
  url: https://blast.ncbi.nlm.nih.gov/Blast.cgi?CMD=Web&PAGE_TYPE=BlastDocs
- note: null
  type:
  - Citation instructions
  url: https://blast.ncbi.nlm.nih.gov/Blast.cgi?CMD=Web&PAGE_TYPE=BlastDocs&DOC_TYPE=References
download: []
editPermission:
  authors:
  - ELIXIR-EE
  - sergitobara
  type: group
elixirCommunity: []
elixirNode: []
elixirPlatform: []
elixir_badge: 0
function:
- cmd: null
  input:
  - data:
      term: Sequence
      uri: http://edamontology.org/data_2044
    format:
    - term: FASTA
      uri: http://edamontology.org/format_1929
  note: null
  operation:
  - term: Sequence similarity search
    uri: http://edamontology.org/operation_0346
  - term: Sequence alignment
    uri: http://edamontology.org/operation_0292
  output:
  - data:
      term: Sequence search results
      uri: http://edamontology.org/data_0857
    format:
    - term: BLAST XML results format
      uri: http://edamontology.org/format_3331
    - term: BLAST XML v2 results format
      uri: http://edamontology.org/format_3836
    - term: TSV
      uri: http://edamontology.org/format_3475
    - term: CSV
      uri: http://edamontology.org/format_3752
    - term: ASN.1 sequence format
      uri: http://edamontology.org/format_1966
    - term: JSON
      uri: http://edamontology.org/format_3464
    - term: Binary format
      uri: http://edamontology.org/format_2333
    - term: Textual format
      uri: http://edamontology.org/format_2330
homepage: https://blast.ncbi.nlm.nih.gov/Blast.cgi
homepage_status: 0
language: []
lastUpdate: '2024-11-24T15:55:00.707215Z'
license: null
link: []
maturity: Mature
name: BLAST
operatingSystem:
- Linux
- Windows
- Mac
otherID: []
owner: seqwiki_import
publication:
- doi: 10.1016/S0022-2836(05)80360-2
  metadata:
    abstract: A new approach to rapid sequence comparison, basic local alignment search
      tool (BLAST), directly approximates alignments that optimize a measure of local
      similarity, the maximal segment pair (MSP) score. Recent mathematical results
      on the stochastic properties of MSP scores allow an analysis of the performance
      of this method as well as the statistical significance of alignments it generates.
      The basic algorithm is simple and robust; it can be implemented in a number
      of ways and applied in a variety of contexts including straight-forward DNA
      and protein sequence database searches, motif searches, gene identification
      searches, and in the analysis of multiple regions of similarity in long DNA
      sequences. In addition to its flexibility and tractability to mathematical analysis,
      BLAST is an order of magnitude faster than existing sequence comparison tools
      of comparable sensitivity. © 1990, Academic Press Limited. All rights reserved.
    authors:
    - name: Altschul S.F.
    - name: Gish W.
    - name: Miller W.
    - name: Myers E.W.
    - name: Lipman D.J.
    citationCount: 77781
    date: '1990-01-01T00:00:00Z'
    journal: Journal of Molecular Biology
    title: Basic local alignment search tool
  note: null
  pmcid: null
  pmid: '2231712'
  type:
  - Primary
  version: null
- doi: 10.1093/bioinformatics/btw305
  metadata:
    abstract: 'Motivation: Over the last decades, vast numbers of sequences were deposited
      in public databases. Bioinformatics tools allow homology and consequently functional
      inference for these sequences. New profile-based homology search tools have
      been introduced, allowing reliable detection of remote homologs, but have not
      been systematically benchmarked. To provide such a comparison, which can guide
      bioinformatics workflows, we extend and apply our previously developed benchmark
      approach to evaluate the ''next generation'' of profile-based approaches, including
      CS-BLAST, HHSEARCH and PHMMER, in comparison with the non-profile based search
      tools NCBI-BLAST, USEARCH, UBLAST and FASTA. Method: We generated challenging
      benchmark datasets based on protein domain architectures within either the PFAM
      + Clan, SCOP/Superfamily or CATH/Gene3D domain definition schemes. From each
      dataset, homologous and non-homologous protein pairs were aligned using each
      tool, and standard performance metrics calculated. We further measured congruence
      of domain architecture assignments in the three domain databases. Results: CSBLAST
      and PHMMER had overall highest accuracy. FASTA, UBLAST and USEARCH showed large
      trade-offs of accuracy for speed optimization. Conclusion: Profile methods are
      superior at inferring remote homologs but the difference in accuracy between
      methods is relatively small. PHMMER and CSBLAST stand out with the highest accuracy,
      yet still at a reasonable computational cost. Additionally, we show that less
      than 0.1% of Swiss-Prot protein pairs considered homologous by one database
      are considered non-homologous by another, implying that these classifications
      represent equivalent underlying biological phenomena, differing mostly in coverage
      and granularity. Availability and Implementation: Benchmark datasets and all
      scripts are placed at (http://sonnhammer.org/download/Homology-benchmark).'
    authors:
    - name: Saripella G.V.
    - name: Sonnhammer E.L.L.
    - name: Forslund K.
    citationCount: 8
    date: '2016-09-01T00:00:00Z'
    journal: Bioinformatics
    title: Benchmarking the next generation of homology inference tools
  note: null
  pmcid: PMC5013910
  pmid: '27256311'
  type:
  - Benchmarking study
  version: null
- doi: 10.1093/nar/gkn201
  metadata:
    abstract: Basic Local Alignment Search Tool (BLAST) is a sequence similarity search
      program. The public interface of BLAST, http://www.ncbi.nlm.nih.gov/blast, at
      the NCBI website has recently been reengineered to improve usability and performance.
      Key new features include simplified search forms, improved navigation, a list
      of recent BLAST results, saved search strategies and a documentation directory.
      Here, we describe the BLAST web application's new features, explain design decisions
      and outline plans for future improvement.
    authors:
    - name: Johnson M.
    - name: Zaretskaya I.
    - name: Raytselis Y.
    - name: Merezhuk Y.
    - name: McGinnis S.
    - name: Madden T.L.
    citationCount: 2950
    date: '2008-01-01T00:00:00Z'
    journal: Nucleic acids research
    title: 'NCBI BLAST: a better web interface.'
  note: null
  pmcid: PMC2447716
  pmid: '18440982'
  type:
  - Primary
  version: null
- doi: 10.1093/nar/gkt282
  metadata:
    abstract: The Basic Local Alignment Search Tool (BLAST) website at the National
      Center for Biotechnology (NCBI) is an important resource for searching and aligning
      sequences. A new BLAST report allows faster loading of alignments, adds navigation
      aids, allows easy downloading of subject sequences and reports and has improved
      usability. Here, we describe these improvements to the BLAST report, discuss
      design decisions, describe other improvements to the search page and database
      documentation and outline plans for future development. The NCBI BLAST URL is
      http://blast.ncbi.nlm.nih.gov.
    authors:
    - name: Boratyn G.M.
    - name: Camacho C.
    - name: Cooper P.S.
    - name: Coulouris G.
    - name: Fong A.
    - name: Ma N.
    - name: Madden T.L.
    - name: Matten W.T.
    - name: McGinnis S.D.
    - name: Merezhuk Y.
    - name: Raytselis Y.
    - name: Sayers E.W.
    - name: Tao T.
    - name: Ye J.
    - name: Zaretskaya I.
    citationCount: 887
    date: '2013-01-01T00:00:00Z'
    journal: Nucleic acids research
    title: 'BLAST: a more efficient report with usability improvements.'
  note: null
  pmcid: PMC3692093
  pmid: '23609542'
  type:
  - Primary
  version: null
relation: []
toolType:
- Command-line tool
- Web application
- Web API
topic:
- term: Sequence analysis
  uri: http://edamontology.org/topic_0080
- term: Bioinformatics
  uri: http://edamontology.org/topic_0091
validated: 1
version: []
